#!/bin/sh
# To exect the script, type "./SCRIPT.SH" in the gtml directory.
#
# For more info on GTML, please see:
# http://www.firststep.com.au/software/gtml.html
#
# You need Perl5 to use "gtml.pl".
# This script will:
# 1) exec the perl script "gtml.pl".
# 2) try to delete freebsd/files/freebsd.* (to remove old freebsd.tar or freebsd.tar.gz files).
# 3) even if there is no freebsd.*, it will continue because of the ";".
# 4) cd out of the freebsd directory.
# 5) tar the freebsd directory has "freebsd.tar"
# 6) move "freebsd.tar" in the freebsd/files directory.
# 7) cd in the freebsd/files directory.
# 8) gzip freebsd.tar. The new file is freebsd/files/freebsd.tar.gz.
#
perl5 gtml.pl project.gtp && rm ../files/freebsd.* ; cd ../.. && tar -cf freebsd.tar freebsd && mv freebsd.tar freebsd/files/freebsd.tar && cd freebsd/files && gzip -v9 freebsd.tar
